<?php
include_once "../header.php";
include_once("../php/config.php");
include_once("set_mora.php");
$id_prestamo =$_GET["id_prestamo"];
$id_cuota =$_GET["id_cuota"];
$sql_cuotas= mysql_query("select * from cuotas where id_prestamo='$id_prestamo' and balance>0") or die(mysql_error());

$sql_suma= mysql_query("select * from cuotas where id<='$id_cuota' and id_prestamo='$id_prestamo' and balance>1") or die(mysql_error());
while($r0=mysql_fetch_array($sql_suma)){
    $capital+=$r0["balance_capital"];
    $interes+=$r0["balance_interes"];
    $mora+=$r0["mora"];
    $total+=$r0["balance"];
    $id_cuota=$r0["id"];
    $ncuota=$r0["numero"];
	
}



$sql_cuotas2= mysql_query("select * from cuotas where id_prestamo='$id_prestamo' and balance>0") or die(mysql_error());
while($r2=mysql_fetch_array($sql_cuotas2)){
    $ibalance+=$r2["balance"]; 
   //// echo $ibalance."<br>";
}

mysql_query("update prestamos set balance='$ibalance'  where  id_prestamo='$id_prestamo'") or die(mysql_error());

?>

<div class="container">
<form id="frm" name="frm" action="grabar_pago.php" method="POST" onSubmit="desabilita()">
    <div class="row">
        <div class="col-md-12">
            <a href="abono.php?id_prestamo=<?php echo $id_prestamo?>"><i class="fa fa-edit"></i> Abono parcial</a>


            <div class="row">
                <div class="col-md-3 mt-2">
                         <label>Comprobante fiscal</label>
                         <input type="text" id="txt-ncf" class="mt-2 mb-2" name="txt-ncf">
                        <input type="hidden" id="txt-tipo-ncf" class="mt-2 mb-2 ml-2" name="txt-tipo-ncf">
                             <select class="form-control input-sm" id="ncf" name="ncf" onchange="get_ncf()">

                            <option value="" selected></option>
                             <?php $sql2 = mysql_query("select * from ncf order by prefijo desc") ?>

                              <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                <option value="<?php echo $r['prefijo'] ?>" <?php if ($r['prefijo'] == 'B02') {
                                                                              echo 'selected';
                                                                            } ?>><?php echo $r['tipo'] ?><?php echo $r['nombre'] ?></option>
                              <?php } ?>
                        </select>
                </div> 
  
            </div>
                <div class="row">
                    <div class="col-md-2 mt-2">
                        <label># Prestamo</label>
                        <input type="number" id="numero" name="numero" class="form-control"  readonly value="<?php echo $_GET['id_prestamo']?>">
                    </div>
                    

                  <div class="col-md-3 mt-2">
                         <label>Cuotas</label>
                            <select  class="form-control  mb-2" id="cuotas"      name="cuotas" onChange="sumar(this.value)">
                                 <option value="" selected>Cuotas</option>
                                <?php while ($r3 = mysql_fetch_array($sql_cuotas)) { 
                                         // $capital+=$r3["balance_capital"];
                                          ///$interes+=$r3["balance_interes"];
                                          //$balance+=$r3["balance"];
                                ?>
                                    <option value="<?php echo $r3['id'] ?>">
                                        
                                        <b>#<?php echo $r3['numero'] ?></b> |
                                        <?php echo fecha($r3['vence'])?> |
                                     - <?php echo "RD$: ".decimal($r3['balance']) ?></option>
                                <?php } ?>
                                
                            </select>
                </div> 
  
            </div>
                 
                                          
           
                 <div class="row">
                <div class="col-md-1 mt-2">
                    <b>Balance:</b> 
                </div>
                <div class="col-md-1 mt-2">
                    <?php echo "<b class='text-primary'>".decimal($total)."</b>" ?>
                </div>
                <div class="col-md-1 mt-2">
                    <b>Capital:</b> 
                </div>
                <div class="col-md-1 mt-2">
                    <?php echo decimal($capital) ?>
                </div>
                <div class="col-md-1 mt-2">
                    <b>Interes:</b> 
                </div>
                <div class="col-md-1 mt-2">
                    <?php echo decimal($interes) ?>
                </div>

                  <div class="col-md-1 mt-2">
                    <b>Mora:</b> 
                </div>
                <div class="col-md-1 mt-2">
                    <?php echo decimal($mora) ?>
                </div>
                <input type="hidden" name="total" value="<?php echo $total?>">
                <input type="hidden" name="mora" value="<?php echo $mora?>">
            </div>
            
            <div class="row">
                <div class="col-md-12 mt-2">
                    <button class="btn btn-success" name="btnGrabar" id="btnGrabar"><i class="fa fa-save"></i> Pagar cuota seleccionada</button>
                    <a class="btn btn-info ml-2" id='btnHistorial' href="historial_cobros_prestamo.php?id_prestamo=<?php echo $id_prestamo?>"><i class="fa fa-file"></i>  Ver historial pagos</a>
                    <a class="btn btn-default ml-2" id='btnAtras' href="prestamos.php"><i class="fa fa-save"></i> Ir atras</a>
                </div>
            </div>
           
            <div class="text-primary" id="mensaje">
               <?php
               echo $_POST["cuotas"];
               ?>
            </div>
            
        </div>
    </div>
</form>
</div>

<?php


include_once "../footer.php";


?>

<script>
function nuevo_cliente(){
window.open("../clientes/clientes.php", "_blank", "toolbar=yes,scrollbars=yes,resizable=no,top=50,left=100,width=600,height=600");
}

function desabilita(){
    document.getElementById('btnGrabar').disabled = 'true';
    document.getElementById('btnAtras').style.display = 'none';
    $(".btn").hide();
    $("#mensaje").html("Grabando datos, favor espere...");
}

function sumar(c){
	document.getElementById('btnGrabar').style.display = 'none';
    var id_prestamo="<?php echo $id_prestamo?>";
    window.location.href="cobrar.php?id_prestamo="+id_prestamo+"&id_cuota="+c;
	document.getElementById('btnGrabar').style.display = 'true';
    $(".btn").hide();
}
var id_cuota = "<?php echo $id_cuota?>";
$("#cuotas option[value='"+id_cuota+"']").prop('selected', true);


///NCF//
  var ncf = "";
  var ncf_generado = "";

  var tipo_ncf = "";
  var secuenciancf=""

  function generar_ncf() {

    var sql = "update ncf set secuencia=secuencia+1 where prefijo='" + ncf + "'";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        sql: sql
      })
      .done(function(data) {
        if (data != "1") {
          alert(data);
          return;
        }


      })
 $("#txt-buscar").focus()
  }

  get_ncf()

  function get_ncf() {
    ncf = $("#ncf").val()
    var sql = "select * from ncf where prefijo='" + ncf + "'"
    $(".modal").modal("hide");
    //$("#loading").modal("show");
    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
        secuenciancf = rs.data[0].secuencia;

        if (secuenciancf==null){
            secuenciancf = 0;
            
        }
        secuenciancf = parseInt(secuenciancf)+ 1
        secuenciancf = String(secuenciancf)
        
        tipo_ncf = rs.data[0].tipo;
        comprobante_generado = ncf + "" + secuenciancf.padStart(8, '0');
        $("#txt-ncf").val(comprobante_generado)
        $("#txt-tipo-ncf").val(tipo_ncf)
        ////alert(rs.data[0].prefijo)
///alert(comprobante_generado)

      });
       $("#txt-buscar").focus()
  }


 ////comprobante_generado = ncf + "" + secuenciancf.padStart(8, '0');

 ncf = $("#ncf").val()

</script>